- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# InitObjectiveBounds Class Reference

the InitObjectiveBounds class. More...

`#include <OSOption.h>`

Collaboration diagram for InitObjectiveBounds:

[legend]
List of all members.

## Public Member Functions
| InitObjectiveBounds ()
| Default constructor.
| ~InitObjectiveBounds ()
| Class destructor.
bool | IsEqual (InitObjectiveBounds *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setObj (int numberOfObj, InitObjBound **obj)
| A function to set an array of <obj> elements.
bool | setObj (int numberOfObj, int *idx, double *lbValue, double *ubValue)
| Alternative signature for this function.
bool | addObj (int idx, double lbValue, double ubValue)
| A function to add a <obj> element.
## Public Attributes
int | numberOfObj
| number of <obj> children
InitObjBound ** | obj
| initial bounds for each objective

## Detailed Description

the InitObjectiveBounds class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 2055 of file OSOption.h.

## Constructor & Destructor Documentation

InitObjectiveBounds::InitObjectiveBounds | ( |  | ) |

Default constructor.

Definition at line 820 of file OSOption.cpp.

References obj.

InitObjectiveBounds::~InitObjectiveBounds | ( |  | ) |

Class destructor.

Definition at line 829 of file OSOption.cpp.

References numberOfObj, and obj.

## Member Function Documentation

bool InitObjectiveBounds::IsEqual | ( | InitObjectiveBounds * | that | ) |

A function to check for the equality of two objects.

Definition at line 9619 of file OSOption.cpp.

References numberOfObj, and obj.

bool InitObjectiveBounds::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10964 of file OSOption.cpp.

References numberOfObj, obj, OSRand(), and InitObjBound::setRandom().

Referenced by ObjectiveOption::setRandom().

bool InitObjectiveBounds::setObj | ( | int | numberOfObj,
|  | InitObjBound ** | obj |
| ) |  |  |

A function to set an array of <obj> elements.

Parameters:

  | numberOfObj,: | number of <obj> elements to be set
  | obj,: | the array of <obj> elements that are to be set

Definition at line 5350 of file OSOption.cpp.

References ErrorClass::errormsg, and obj.

Referenced by OSOption::setInitObjBounds(), and OSOption::setInitObjBoundsSparse().

bool InitObjectiveBounds::setObj | ( | int | numberOfObj,
|  | int * | idx,
|  | double * | lbValue,
|  | double * | ubValue |
| ) |  |  |

Alternative signature for this function.

Parameters:

  | numberOfObj,: | number of <obj> elements to be set
  | idx,: | the array of indices
  | lbValue,: | the array of corresponding lower bounds
  | ubValue,: | the array of corresponding upper bounds

Definition at line 5377 of file OSOption.cpp.

References InitObjBound::idx, InitObjBound::lbValue, obj, and InitObjBound::ubValue.

bool InitObjectiveBounds::addObj | ( | int | idx,
|  | double | lbValue,
|  | double | ubValue |
| ) |  |  |

A function to add a <obj> element.

Parameters:

  | idx,: | the index of the objective to be given initial bounds
  | lbValue,: | the initial lower bound for the objective
  | ubValue,: | the initial upper bound for the objective

Definition at line 5410 of file OSOption.cpp.

References ErrorClass::errormsg, InitObjBound::idx, InitObjBound::lbValue, numberOfObj, obj, and InitObjBound::ubValue.

Referenced by OSOption::setAnotherInitObjBound().

## Member Data Documentation

int InitObjectiveBounds::numberOfObj

number of <obj> children

Definition at line 2059 of file OSOption.h.

Referenced by addObj(), OSOption::getNumberOfInitObjBounds(), IsEqual(), OSOption::setInitObjBoundsSparse(), setRandom(), and ~InitObjectiveBounds().

InitObjBound** InitObjectiveBounds::obj

initial bounds for each objective

Definition at line 2062 of file OSOption.h.

Referenced by addObj(), OSOption::getInitObjBoundsSparse(), InitObjectiveBounds(), IsEqual(), OSOption::setInitObjBoundsDense(), setObj(), setRandom(), and ~InitObjectiveBounds().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp